//
//  MapUtils.hpp
//  eagle0
//
//  Created by Dan Crosby on 4/8/18.
//  Copyright © 2018 none. All rights reserved.
//

#ifndef MapUtils_hpp
#define MapUtils_hpp

#include <string>
#include <unordered_map>

auto DoubleForKey(const std::unordered_map<std::string, std::string>& map, const std::string& key)
        -> double;
auto IntForKey(const std::unordered_map<std::string, std::string>& map, const std::string& key)
        -> int;
auto BoolForKey(const std::unordered_map<std::string, std::string>& map, const std::string& key)
        -> bool;

#endif /* MapUtils_hpp */
